{% extends 'base.html' %}
{% load teacher_tags %}
{% load util_tags %}
{% load static %}

{% block content %}
<h1 class="heading-1 marg">Prowadzone klasy</h1>
{% with request.user.teacher|get_formed_classes as formed_classes %}
    <div class="container p-3 bg-grey bor-rad marg">
    {% if formed_classes|size > 1 %}
    <p>Wybrana klasa</p>
    <form method="post">
        {% csrf_token %}
        <select name="class_select" onchange="this.form.submit()">
        {% for class in formed_classes %}
            {% if chosen %}
                {% ifequal forloop.counter chosen|add:1 %}
                    <option selected value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
                {% else %}
                    <option value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
                {% endifequal %}
            {% else %}
                <option value="{{ forloop.counter }}">{{ class.level }}{{ class.name }}</option>
            {% endif %}
        {% endfor %}
        </select>
    </form>
    {% endif %}
    {% if formed_classes %}
        {% with formed_classes|get_from_index:chosen as class %}
            {% with class.get_students as students %}
                {% if students %}
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th scope="col">L.p.</th>
                                <th scope="col">Imię</th>
                                <th scope="col">Nazwisko</th>
                                <th scope="col"></th>
                                <th scope="col"></th>
                                <th scope="col">Wiadomość</th>
                                <th scope="col">Wiadomość do rodzica</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for member in students %}
                            <tr>
                                <td>{{forloop.counter}}</td>
                                <td>{{member.name}}</td>
                                <td>{{member.surname}}</td>
                                <td><a href="{% url 'register:teacher_student_grade_list' member.id %}" class="btn btn-primary">Oceny</a></td>
                                <td><a href="{% url 'register:teacher_student_remark_list' member.id %}" class="btn btn-primary">Uwagi</a></td>
                                <td><a href="{% url 'register:send_message' member.user.id %}"><img src="{% static 'msg.png' %}"></a></td>
                                <td><a href="{% url 'register:send_message' member.caretaker.user.id %}"><img src="{% static 'msg.png' %}"></a></td>
                            </tr>
                            {% endfor %}                        
                        </tbody>
                    </table>
                {% endif %}
            {% endwith %}
        {% endwith %}
    {% else %}
        <p>Brak uczniów.</p>
    {% endif %}
{% endwith %}
</div>
{% endblock content %}